{
  "schema_version": "1.4.0",
  "id": "GHSA-647h-v8f6-577g",
  "modified": "2022-07-23T00:00:23Z",
  "published": "2022-05-24T17:44:04Z",
  "aliases": [
    "CVE-2020-29238"
  ],
  "details": "An integer buffer overflow in the Nginx webserver of ExpressVPN Router version 1 allows remote attackers to obtain sensitive information when the server running as reverse proxy via specially crafted request.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2020-29238"
    },
    {
      "type": "WEB",
      "url": "https://bugcrowd.com/disclosures/4e8d5325-8e49-4ea3-962a-a088bbb73a3f/expressvpn-router-integer-buffer-overflow-server-info-disclosure-when-router-s-nginx-server-used-as-reverse-proxy-server"
    },
    {
      "type": "WEB",
      "url": "http://expressvpn.com"
    },
    {
      "type": "WEB",
      "url": "http://ja1sharma.com/blog/2021/CVE-2020-29238"
    },
    {
      "type": "WEB",
      "url": "http://packetstormsecurity.com/files/162152/ExpressVPN-VPN-Router-1.0-Integer-Overflow.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2021-03-10T03:15:00Z"
  }
}